Aprepro 5.0x

Public Types | Public Member Functions | Public Attributes | List of all members
SEAMS::Parser::by_state Struct Reference

Type access provider for state based symbols. More...

Inheritance diagram for SEAMS::Parser::by_state:
[legend]

## Public Types
enum | { empty_state = -1 }
| The state number used to denote an empty symbol. More...
typedef state_type | kind_type
| The symbol type as needed by the constructor. More...

## Public Member Functions
| by_state () YY_NOEXCEPT
| Default constructor. More...
| by_state (kind_type s) YY_NOEXCEPT
| Constructor. More...
| by_state (const by_state &that) YY_NOEXCEPT
| Copy constructor. More...
void | clear () YY_NOEXCEPT
| Record that this symbol is empty. More...
void | move (by_state &that)
| Steal the symbol type from that. More...
symbol_number_type | type_get () const YY_NOEXCEPT

## Public Attributes
state_type | state

## Detailed Description

Type access provider for state based symbols.

## Member Typedef Documentation

## ◆ kind_type

typedef state_type SEAMS::Parser::by_state::kind_type

The symbol type as needed by the constructor.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

The state number used to denote an empty symbol.

Enumerator
empty_state |

## Constructor & Destructor Documentation

## ◆ by_state() [1/3]

SEAMS::Parser::by_state::by_state | ( |  | ) |

Default constructor.

## ◆ by_state() [2/3]

SEAMS::Parser::by_state::by_state | ( | kind_type | s | ) |

Constructor.

## ◆ by_state() [3/3]

SEAMS::Parser::by_state::by_state | ( | const by_state & | that | ) |

Copy constructor.

## Member Function Documentation

## ◆ clear()

void SEAMS::Parser::by_state::clear | ( |  | ) |

Record that this symbol is empty.

## ◆ move()

void SEAMS::Parser::by_state::move | ( | by_state & | that | ) |

Steal the symbol type from that.

## ◆ type_get()

Parser::symbol_number_type SEAMS::Parser::by_state::type_get | ( |  | ) | const

The (internal) type number (corresponding to state). empty_symbol when empty.

## Member Data Documentation

## ◆ state

state_type SEAMS::Parser::by_state::state

The state. empty when empty.

The documentation for this struct was generated from the following files:

- aprepro_parser.h
- apr_parser.cc